google-perftools (2.5-2.2ubuntu1) artful; urgency=medium

  * Merge from Debian. Remaining changes:
    - debian/control: Use multiline syntax for Build-* fields.
    - Use 3.0 (quilt) format instead of cdbs' deprecated simple-patchsys.
    - Rewrite packaging using debhelper sequencer.
    - Build using -fno-strict-aliasing.
    - Build using recent autotools.
    - Build for s390x.
    - debian/patches/Use-initial-exec-tls-for-libunwind-s-recursion-flag.patch:
      Use initial-exec tls for libunwind's recursion flag.
  * Enable testing for all architectures by default.
  * Build-depend on libunwind-dev instead of libunwind8-dev, which is
    now a transitional package.
  * Build-depend on libunwind-dev on architectures where available.
  * Disable libunwind on arm64 due to hangs. (LP: #1595242)
  * Disable -fno-exceptions to fix test hangs on arm64.
  * Ignore test results on arm64 and armhf.

 -- dann frazier <dannf@ubuntu.com>  Fri, 18 Aug 2017 16:36:56 -0600

google-perftools (2.5-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * Tweak profiler_unittest.sh so test failures are just counted once
    (Closes: #849132)

 -- Hilko Bengen <bengen@debian.org>  Tue, 28 Feb 2017 22:44:18 +0100

google-perftools (2.5-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Update URL (Homepage, debian/copyright)
  * Ignore result for profiler unit test that fails "randomly" on i386
    (Closes: #849132)

 -- Hilko Bengen <bengen@debian.org>  Sun, 26 Feb 2017 12:12:05 +0100

google-perftools (2.5-2) unstable; urgency=medium

  * Provide automatic debug packages rather than -dbg packages.
    (Closes: #838562)
  * Bump up Standards-Version to 3.9.8

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 27 Nov 2016 16:08:46 +0900

google-perftools (2.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #831240)
  * Update watch file
  * Remove patches that the upstream has applied
    - debian/patches/unbreak-heap-profiler-unittest-on-gcc-5.patch
    - debian/patches/unbreak-heap_checker_unittest-on-gcc-5.patch

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 27 Nov 2016 14:28:33 +0900

google-perftools (2.5-0ubuntu4) zesty; urgency=medium

  * debian/patches/Use-initial-exec-tls-for-libunwind-s-recursion-flag.patch:
    Use initial-exec tls for libunwind's recursion flag. (LP: #1647864) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 02 Feb 2017 13:17:47 -0500

google-perftools (2.5-0ubuntu3) zesty; urgency=medium

  * Don't run the tests on arm64, hanging the buildds.
  * Ignore test results on armhf for a first build.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Nov 2016 14:21:23 +0100

google-perftools (2.5-0ubuntu2) zesty; urgency=medium

  * New upstream version.
  * Build for s390x.
  * Build using recent autotools.
  * Build-depend on libunwind-dev everywhere.
  * Build using -fno-strict-aliasing.
  * Bump standards version.
  * Rewrite packaging using debhelper sequencer.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Sep 2016 01:54:44 +0200

google-perftools (2.4-0ubuntu5) xenial; urgency=medium

  * Pass --add-missing to automake to fix build failure.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Apr 2016 12:45:32 +0200

google-perftools (2.4-0ubuntu4) wily; urgency=medium

  * Build using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jul 2015 23:17:29 +0200

google-perftools (2.4-0ubuntu2) wily; urgency=medium

  * Re-enable the build on Aarch64.
  * Disable the tests again on armhf and arm64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jul 2015 23:14:30 +0200

google-perftools (2.4-0ubuntu1) wily; urgency=medium

  * New upstream version.
  * Enable futexes on ARM32 (taken from Fedora).
  * Enable tests everywhere for a first upload.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jul 2015 15:18:35 +0200

google-perftools (2.2.1-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add actual arm64 support (Closes: #763837)

 -- Wookey <wookey@debian.org>  Thu, 02 Oct 2014 02:23:32 +0000

google-perftools (2.2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release. (Closes: #757149)
  * Updated watch file
  * Added ppc64el, arm64 architectures (Closes: #737677)

 -- Hilko Bengen <bengen@debian.org>  Sun, 07 Sep 2014 21:22:29 +0200

google-perftools (2.1-2) unstable; urgency=low

  * Now builds with automake 1.11. (Closes: #724381)
    Thanks to Eric Dorland for a patch.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 04 Aug 2013 22:08:47 +0900

google-perftools (2.1-1) unstable; urgency=low

  * New upstream release. (Closes: #701378)
  * debian/rules:
    - Enable tests on amd64 and i386. (Closes: #695293)
  * debian/control:
    - Add missing dependency on libunwind8-dev for amd64 architecture
      to libgoogle-perftools-dev. (Closes: #706860)
    - Add new architectures: armel armhf. (Closes: #695308)
    - Bumped up Standards-Version to 3.9.4.
  * Removed debian/patches/20120708_ppc_ftbfs.patch, which has been applied by
    the upstream.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 04 Aug 2013 21:21:26 +0900

google-perftools (2.0-4) unstable; urgency=low

  * Added debian/patches/20121013-pprof.1.patch: Corrects a link.
    Thanks to Junichi Uekawa for reporting.  (Closes: #690313)

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 08 Jul 2012 19:26:52 +0900

google-perftools (2.0-3) unstable; urgency=low

  * debian/patches/20120708_ppc_ftbfs.patch: Imported Ubuntu's patch, fixing
    a build failure on powerpc, derived from the upstream:
    http://code.google.com/p/gperftools/issues/detail?id=431
    Thanks to James Page <james.page@ubuntu.com>. (Closes: #680305)
  * debian/control: Bumped up to libunwind8-dev for Build-Depends.
    (Closes: #680724)

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 08 Jul 2012 18:08:36 +0900

google-perftools (2.0-2) unstable; urgency=low

  * Some include files were left out of the package.
    Thanks to Laszlo Boszormenyi for a patch.  (Closes: #666099)

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 31 Mar 2012 12:50:36 +0900

google-perftools (2.0-1) unstable; urgency=low

  * New upstream release.
    (Closes: #663652, #635038)
  * debian/watch: Followed the new upstream site.
  * debian/control:
    - Followed the new upstream site.
    - Bumped up Standards-Version to 3.9.3.
    - google-perftools depends on curl.  (Closes: #630829)
    - Updated the package names to match soname 4.
  * debian/copyright:
    - Followed the upstream' changes.
    - Applied copyright-format 1.0.
  * debian/compat:
    - Bumped up the compatibility level to 7.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 17 Mar 2012 14:58:23 +0900

google-perftools (1.7-1) unstable; urgency=low

  * New upstream release
  * Updated debian/watch.
  * debian/control:
    - removed the meaningless google-perftools-dbg package.
    - google-perftools that only includes a perl script is now Architecture:
      all.
    (Closes: #595184)
    - Bumped up Standards-Version to 3.9.1.
  * debian/copyright: packaged by myself.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 06 Mar 2011 10:35:04 +0900

google-perftools (1.5-1) unstable; urgency=low

  * New upstream release (Closes: #521935)
  * Now this package will be built on i386, amd64 and powerpc
    (Closes: #387401, #506679, #556908)
  * debian/control: Bumped up Standards-Version to 3.8.4.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 07 Feb 2010 09:57:09 +0900

google-perftools (1.4-3) unstable; urgency=low

  * debian/control: Bumpled up Standards-Version to 3.8.3.
  * debian/control: google-perftools package now recommends graphviz and gv.
    (Closes: #507823)
  * debian/{control|rules}: autoconf and automake will be executed in a build
    time. (Closes: #558508)

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 30 Nov 2009 21:53:39 +0900

google-perftools (1.4-2) unstable; urgency=low

  * debian/control, debian/rules: Added a new package, google-perftools, which
    contains command line utilities.  (Closes: #547956)

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 26 Oct 2009 20:19:18 +0900

google-perftools (1.4-1) unstable; urgency=low

  * New upstream release. (Closes: #537269)
  * debian/control:
    - Bumped up Standards-Version to 3.8.2.
    - Build-depends on libunwind. (Closes: #487374)
    - Provides debugging symbol packages: libtcmalloc-minimal0-dbg and
      libgoogle-perftools0-dbg.
  * Merged contents of
    - debian/libgoogle-perftools0.docs
    - debian/libgoogle-perftools0.manpages
    - debian/docs
    - debian/libtcmalloc-minimal0.dirs
    - debian/libgoogle-perftools-dev.dirs
    - debian/libtcmalloc-minimal0.install
    - debian/libgoogle-perftools0.dirs
    - debian/libgoogle-perftools-dev.install
    - debian/libgoogle-perftools0.install
    into debian/rules.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 19 Sep 2009 00:10:06 +0900

google-perftools (0.98-1) unstable; urgency=low

  * New upstream release. (Closes: #425147)
  * Compiled with GCC 4.3. (Closes: #454841)
  * debian/watch: can now report upstream's version (Closes: #450294)
  * Because of a file conflict between tau and libgoogle-perftools the
    binary pprof is renamed as google-pprof. (Closes: #404001)
    Great thanks to Michael Mende.
  * debian/rules: autoconf files are now generated at the build time.
  * Bumped up Standards-Version to 3.7.3, no changes are required.
  * Split a new package, libtcmallc_minimal0. The upstream supports
    this module for wider platforms. So I leave its architecture to be
    `any'.
  * libgoogle-perftools0's architecture is now i386. The upstream
    supports this module for x86 and x86_64. However, x86_64 requires
    libunwind's development head, which Debian does not have yet.
  * Removed an unnecessary patch, debian/patches/02_profiler.cc_alpha.diff.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 15 Jun 2008 23:41:36 +0900

google-perftools (0.91-1) unstable; urgency=low

  * New upstream release
  * The hosting site of the upstream has been changed. 

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 12 May 2007 15:56:25 +0900

google-perftools (0.8-5) unstable; urgency=low

  * Apply a patch from Yauheni Kaliuta to fix an error, 'sys_mmap' has not
    been declared, which may happen with Linux kernel 2.6.18.
    (Closes: #397908)

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 13 Nov 2006 12:13:52 +0900

google-perftools (0.8-4) unstable; urgency=low

  * Fixed FTBFS (alpha) again. debian/patches/01_configure.ac_alpha.diff is no
    longer provided. Instead, configure.ac and configure are directly updated
    to be correctly built. (Closes: #387401)  

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 14 Sep 2006 01:18:10 +0900

google-perftools (0.8-3) unstable; urgency=low

  * Use DEB_AUTO_UPDATE_AUTOCONF to rebuild configure from patched
    configure.ac. 
  * Fixed debian/watch file.

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 14 Sep 2006 00:09:39 +0900

google-perftools (0.8-2) unstable; urgency=low

  * Make pathces for FTBFS (alpha). Thanks to Falk Hueffner. (Closes: #384236)
    (debian/patches/01_configure.ac_alpha.diff,
     debian/patches/02_profiler.cc_alpha.diff)

 -- Daigo Moriwaki <daigo@debian.org>  Tue, 20 Jun 2006 23:05:05 +0900

google-perftools (0.8-1) unstable; urgency=low

  * Remove the patches (thread_lister.c.diff and malloc_hook.cc.diff) that
    were included in the previous release because the upstream has fixed the
    issues.

 -- Daigo Moriwaki <daigo@debian.org>  Tue, 20 Jun 2006 22:20:58 +0900

google-perftools (0.7-2) unstable; urgency=low

  * Make a patch (debian/patches/thread_lister.c.diff) for FTBFS: error:
    conflicting types for 'ResumeAllProcessThreads' (Closes: #370449)
  * Make a patch (debian/patches/malloc_hook.cc.diff) for FTBFS:
    src/malloc_hook.cc:118: error: invalid conversion from 'long int' to
    'void*' (Closes: #370802)
  * Add a debian/watch file.

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 12 Jun 2006 20:00:35 +0900

google-perftools (0.7-1) unstable; urgency=low

  * New upstream release.

 -- Daigo Moriwaki <daigo@debian.org>  Mon,  8 May 2006 20:08:10 +0900

google-perftools (0.1-1) unstable; urgency=low

  * Initial release.

 -- Google Inc. <opensource@google.com>  Fri, 11 Mar 2005 08:07:33 -0800
